version: '3.8'

services:
  # MongoDB сервис
  mongodb:
    image: mongo:latest
    container_name: brabus-mongodb
    restart: always
    ports:
      - "27017:27017"
    volumes:
      - mongodb_data:/data/db
    environment:
      MONGO_INITDB_ROOT_USERNAME: brabus_admin
      MONGO_INITDB_ROOT_PASSWORD: ZKT_KASABUTSKI_77557755
    networks:
      - brabus-network

  # Node.js приложение
  app:
    build: .
    container_name: brabus-app
    restart: always
    ports:
      - "3000:3000"  
    depends_on:
      - mongodb
    environment:
      - PORT=3000  # Убедимся, что приложение работает на порту 3000
      - MONGODB_URI=mongodb://brabus_admin:ZKT_KASABUTSKI_77557755@mongodb:27017/brabus?authSource=admin
      - JWT_SECRET=${JWT_SECRET}
      - NODE_ENV=${NODE_ENV:-production}
    volumes:
      - ./src/public:/usr/src/app/src/public
      - ./src:/usr/src/app/src  # Монтируем папки для исходников
    networks:
      - brabus-network
    command: node src/server.js  # Указываем правильный путь к серверу

networks:
  brabus-network:
    driver: bridge

volumes:
  mongodb_data:
